(* $Id: javaserial.isl,v 1.1 1997/04/22 23:21:47 jacobi Exp $ *)
(* Last edited by Chris Jacobi, April 20, 1997 8:41 pm PDT *)

INTERFACE javaserial;

TYPE ByteSequence = 
  SEQUENCE OF BYTE;

TYPE JavaPickleBase = 
  RECORD
    bs: ByteSequence,    (* The pickled object *)
    accessor: Accessor   (* Accessing classes  *)
  END;

TYPE String = 
  SEQUENCE OF CHARACTER;

EXCEPTION javaserialException;

TYPE Accessor =
  OBJECT OPTIONAL 
    DOCUMENTATION "Accessing the bytecodes of the class"
    METHODS
      GetBytes(classname: String): ByteSequence RAISES javaserialException END
    END;
